## golang-github-openfga-go-sdk 0.3.3

=== example/Makefile ===
all: run

project_name=example1
openfga_version=latest

restore:
	go mod tidy

run: restore
	go run ${project_name}/${project_name}.go

run-openfga:
	docker pull docker.io/openfga/openfga:${openfga_version} && \
		docker run -p 8080:8080 docker.io/openfga/openfga:${openfga_version}

=== debian/changelog ===
golang-github-openfga-go-sdk (0.3.3-2) unstable; urgency=medium

  * Source-only upload for migration

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 29 Dec 2023 19:35:20 +0000

golang-github-openfga-go-sdk (0.3.3-1) unstable; urgency=medium

  * Initial release (Closes: #1059453)

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 28 Dec 2023 01:15:31 +0000

## golang-github-openfga-go-sdk 0.3.5

=== debian/changelog ===
golang-github-openfga-go-sdk (0.3.5-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Mon, 26 Feb 2024 22:31:20 +0000

golang-github-openfga-go-sdk (0.3.4-1) unstable; urgency=medium

  * New upstream release
  * Update years in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 02 Feb 2024 20:31:39 +0000

=== debian/control ===
Source: golang-github-openfga-go-sdk
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Mathias Gibbens <gibmat@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-jarcoal-httpmock-dev (>= 1.3.1),
               golang-golang-x-sync-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-openfga-go-sdk
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-openfga-go-sdk.git
Homepage: https://github.com/openfga/go-sdk
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/openfga/go-sdk

Package: golang-github-openfga-go-sdk-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-jarcoal-httpmock-dev (>= 1.3.1),
         golang-golang-x-sync-dev,
         ${misc:Depends}
Description: OpenFGA SDK for Go (library)
 This is an autogenerated Go SDK for OpenFGA. It provides a wrapper
 around the OpenFGA API definition (https://openfga.dev/api).
 .
 OpenFGA is designed to make it easy for application builders to model
 their permission layer, and to add and integrate fine-grained
 authorization into their applications. OpenFGA’s design is optimized
 for reliability and low latency at a high scale.

## golang-github-openfga-go-sdk 0.5.0

=== debian/changelog ===
golang-github-openfga-go-sdk (0.5.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Mathias Gibbens <gibmat@debian.org>  Mon, 01 Jul 2024 10:19:11 +0000

golang-github-openfga-go-sdk (0.5.0-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 28 Jun 2024 01:43:14 +0000

golang-github-openfga-go-sdk (0.3.7-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 25 May 2024 19:45:28 +0000

golang-github-openfga-go-sdk (0.3.6-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version to 4.7.0 in d/control (no changes needed)

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 04 May 2024 13:12:37 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                golang-any,
                golang-github-jarcoal-httpmock-dev (>= 1.3.1),
                golang-golang-x-sync-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-openfga-go-sdk
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-openfga-go-sdk.git
 Homepage: https://github.com/openfga/go-sdk

## golang-github-openfga-go-sdk 0.6.3

=== debian/changelog ===
golang-github-openfga-go-sdk (0.6.3-1) unstable; urgency=medium

  * New upstream release
    - Set minimum required version of golang-opentelemetry-otel-dev

 -- Mathias Gibbens <gibmat@debian.org>  Wed, 06 Nov 2024 01:55:25 +0000

golang-github-openfga-go-sdk (0.6.1-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 04 Oct 2024 01:38:02 +0000

golang-github-openfga-go-sdk (0.6.0-1) unstable; urgency=medium

  * New upstream release
  * d/control:
    - Update Build-Depends and Depends
    - Add Breaks for older versions of incus

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 19 Sep 2024 02:59:31 +0000

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
                dh-golang,
                golang-any,
                golang-github-jarcoal-httpmock-dev (>= 1.3.1),
+               golang-opentelemetry-otel-dev (>= 1.21.0),
                golang-golang-x-sync-dev
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-openfga-go-sdk
@@ -20,8 +21,10 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: golang-github-jarcoal-httpmock-dev (>= 1.3.1),
+         golang-opentelemetry-otel-dev (>= 1.21.0),
          golang-golang-x-sync-dev,
          ${misc:Depends}
+Breaks: golang-github-lxc-incus-dev (<< 6.0.2)
 Description: OpenFGA SDK for Go (library)
  This is an autogenerated Go SDK for OpenFGA. It provides a wrapper
  around the OpenFGA API definition (https://openfga.dev/api).

## golang-github-openfga-go-sdk 0.6.5

=== debian/changelog ===
golang-github-openfga-go-sdk (0.6.5-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version to 4.7.2 in d/control (no changes needed)
  * Update years in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Wed, 12 Mar 2025 01:08:38 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                golang-github-jarcoal-httpmock-dev (>= 1.3.1),
                golang-opentelemetry-otel-dev (>= 1.21.0),
                golang-golang-x-sync-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-openfga-go-sdk
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-openfga-go-sdk.git
 Homepage: https://github.com/openfga/go-sdk

## golang-github-openfga-go-sdk 0.7.1

=== debian/changelog ===
golang-github-openfga-go-sdk (0.7.1-1) unstable; urgency=medium

  * New upstream release
    - Update Build-Depends and Depends

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 05 Sep 2025 00:10:50 +0000

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
                dh-golang,
                golang-any,
                golang-github-jarcoal-httpmock-dev (>= 1.3.1),
+               golang-github-sourcegraph-conc-dev,
                golang-opentelemetry-otel-dev (>= 1.21.0),
                golang-golang-x-sync-dev
 Standards-Version: 4.7.2
@@ -21,6 +22,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: golang-github-jarcoal-httpmock-dev (>= 1.3.1),
+         golang-github-sourcegraph-conc-dev,
          golang-opentelemetry-otel-dev (>= 1.21.0),
          golang-golang-x-sync-dev,
          ${misc:Depends}

## golang-github-openfga-go-sdk 0.7.3

=== example/Makefile ===
--- 
+++ 
@@ -11,4 +11,4 @@
 
 run-openfga:
 	docker pull docker.io/openfga/openfga:${openfga_version} && \
-		docker run -p 8080:8080 docker.io/openfga/openfga:${openfga_version}
+		docker run -p 8080:8080 docker.io/openfga/openfga:${openfga_version} run

=== debian/changelog ===
golang-github-openfga-go-sdk (0.7.3-1) unstable; urgency=medium

  * New upstream release
    - Remove installation of NOTICE.txt deleted upstream
  * Drop redundant Rules-Requires-Root from d/control

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 12 Oct 2025 00:14:24 +0000

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,6 @@
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-openfga-go-sdk
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-openfga-go-sdk.git
 Homepage: https://github.com/openfga/go-sdk
-Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/openfga/go-sdk
 
 Package: golang-github-openfga-go-sdk-dev

=== debian/rules ===
#!/usr/bin/make -f

# Don't build the example binary
export DH_GOLANG_EXCLUDES := example/

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/openfga/go-sdk/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-openfga-go-sdk 0.7.4

=== debian/changelog ===
golang-github-openfga-go-sdk (0.7.4-1) unstable; urgency=medium

  * New upstream release
  * d/control:
    - Update Standards-Version to 4.7.3, drop Priority field
    - Update Build-Depends and Depends
  * Update years in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Tue, 24 Feb 2026 00:17:14 +0000

## golang-github-openfga-go-sdk 0.7.5

=== Makefile ===
.PHONY: help test lint fmt vet security check

help: ## Show this help message
	@echo 'Usage: make [target]'
	@echo ''
	@echo 'Available targets:'
	@awk 'BEGIN {FS = ":.*?## "}; /^[a-zA-Z_-]+:.*?## / {printf "  %-20s %s\n", $$1, $$2}' $(MAKEFILE_LIST)

test: ## Run all tests
	go test -race -coverprofile=coverage.txt -covermode=atomic -v ./...

fmt: ## Run code formatting
	gofmt -w .

vet: ## Run static code analysis
	go vet ./...

lint: vet fmt ## Run linting/formatting tools
	golangci-lint run

security: ## Run security scans
	gosec ./...
	govulncheck ./...

check: fmt lint test security ## Run all checks: formatting, linting, tests, and security

=== debian/changelog ===
golang-github-openfga-go-sdk (0.7.5-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Wed, 25 Feb 2026 20:42:03 +0000

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Uploaders: Mathias Gibbens <gibmat@debian.org>
 Section: golang
 Testsuite: autopkgtest-pkg-go
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-jarcoal-httpmock-dev (>= 1.3.1),
                golang-github-sourcegraph-conc-dev,
+               golang-github-stretchr-testify-dev,
                golang-opentelemetry-otel-dev (>= 1.21.0),
                golang-golang-x-sync-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-openfga-go-sdk
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-openfga-go-sdk.git
 Homepage: https://github.com/openfga/go-sdk
@@ -22,6 +22,7 @@
 Multi-Arch: foreign
 Depends: golang-github-jarcoal-httpmock-dev (>= 1.3.1),
          golang-github-sourcegraph-conc-dev,
+         golang-github-stretchr-testify-dev,
          golang-opentelemetry-otel-dev (>= 1.21.0),
          golang-golang-x-sync-dev,
          ${misc:Depends}
